### Function

# GdkPixbuf Pixbuf get_file_info_async

since: 2.32

#### Declaration [src]

    void
    gdk_pixbuf_get_file_info_async (
      const gchar* filename,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously parses an image file far enough to determine its format and size.

For more details see gdk_pixbuf_get_file_info(), which is the synchronous version of this function.

When the operation is finished, `callback` will be called in the main thread. You can then call `gdk_pixbuf_get_file_info_finish()` to get the result of the operation.

Available since: 2.32

This function completes asynchronously. Use `gdk_pixbuf_get_file_info_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`filename`

  Type: `const gchar*`

  The name of the file to identify.

  The data is owned by the caller of the function.
  The value is a platform-native string, using the preferred OS encoding on Unix and UTF-8 on Windows.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the file info is available.

`user_data`

  Type: `gpointer`

  The data to pass to the callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the function.